//                                         This file is really -*-C++/l-*-
//          Project:  Code/C++/Stopwatch/
//             File:  system_interface.h
//       Created by:  David Casperson <casper@tl-fac-1-226-53.unbc.ca>
//          Created:  Fri Nov  2 12:08:49 2007
//
//      Description:  interface to system services


/*
 * Copyright 2009 © David Casperson
 * May be used freely, provided that this notice is preserved.
 */

#if !defined(system_time_INCLUDED)

#include <sys/time.h>

class system_time
{
    typedef timespec time_t ;
public:
    system_time() ; // the current time on the system high precision
                    // virtual timer.
    system_time operator-(system_time const&) const ;
    double toSeconds() const ;
private:
    class DontInitializeClass {} ;
    static DontInitializeClass DontInitialize ;
    system_time(DontInitializeClass) {} 
    time_t time1 ;
} ;// end class system_time

#define system_time_INCLUDED
#endif// !defined(system_time_INCLUDED)
